This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 872946 - Several python unit test failures on clustered broker
Several python unit test failures on clustered broker
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: python-qpid (Show other bugs)
Development
Unspecified Unspecified
high Severity urgent
: 2.3
: ---
Assigned To: Alan Conway
Petr Matousek
: Regression
Depends On: 872932 878638
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-04 09:20 EST by Petr Matousek
Modified: 2013-03-19 12:37 EDT (History)
4 users (show)

See Also:
Fixed In Version: qpid-cpp-0.18-12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-19 12:37:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Petr Matousek 2012-11-04 09:20:48 EST
Description of problem:

Something is wrong with the cluster (qpid-cpp-*-0.18.6), many unit test from qpid_tests are currently failing.

Tested on multiple systems rehl5/6-i/x

Please see also bug 872932 and bug 872934

Please check last beaker runs for more info on current results:

http://beaker-archive.app.eng.bos.redhat.com/beaker-logs/2012/11/3269/326916/693752/8833181/TESTOUT.log
http://beaker-archive.app.eng.bos.redhat.com/beaker-logs/2012/11/3270/327003/694028/8840350/TESTOUT.log

(clustered broker is started at line ~1550, python unit tests start to fail at line ~1990 [qpid_tests.broker_0_10.stats.BrokerStatsTests.test_abandoned_alt],
core dumps can be found at the bottom of these transcripts)

Version-Release number of selected component (if applicable):
python-qpid-0.18-4.el5
python-qpid-qmf-0.18-5.el5
qpid-cpp-client-0.18-6.el5
qpid-cpp-client-devel-0.18-6.el5
qpid-cpp-client-devel-docs-0.18-6.el5
qpid-cpp-client-ssl-0.18-6.el5
qpid-cpp-server-0.18-6.el5
qpid-cpp-server-cluster-0.18-6.el5
qpid-cpp-server-devel-0.18-6.el5
qpid-cpp-server-ssl-0.18-6.el5
qpid-cpp-server-store-0.18-6.el5
qpid-cpp-server-xml-0.18-6.el5
qpid-java-client-0.18-4.el5
qpid-java-common-0.18-4.el5
qpid-java-example-0.18-4.el5
qpid-qmf-0.18-5.el5
qpid-qmf-devel-0.18-5.el5
qpid-tests-0.18-1.el5
qpid-tools-0.18-4.el5
ruby-qpid-qmf-0.18-5.el5


How reproducible:
100%

Steps to Reproduce:
1. setup two node cluster
2. execute the broker_0_10 unit tests from qpid_tests 
  
Actual results:
many test failures

Expected results:
tests are passing

Additional info:
Comment 5 Petr Matousek 2012-12-07 04:30:41 EST
This issue has been fixed.

Verified on rhel5.9 and rhel6.3 (x86_64, i386)

packages used for testing:
python-qpid-0.18-4.el6.noarch
python-qpid-qmf-0.18-12.el6_3.i686
qpid-cpp-client-0.18-12.el6_3.i686
qpid-cpp-client-devel-0.18-12.el6_3.i686
qpid-cpp-client-devel-docs-0.18-12.el6_3.noarch
qpid-cpp-client-ssl-0.18-12.el6_3.i686
qpid-cpp-server-0.18-12.el6_3.i686
qpid-cpp-server-cluster-0.18-12.el6_3.i686
qpid-cpp-server-devel-0.18-12.el6_3.i686
qpid-cpp-server-ssl-0.18-12.el6_3.i686
qpid-cpp-server-store-0.18-12.el6_3.i686
qpid-cpp-server-xml-0.18-12.el6_3.i686
qpid-java-client-0.18-5.el6.noarch
qpid-java-common-0.18-5.el6.noarch
qpid-java-example-0.18-5.el6.noarch
qpid-qmf-0.18-12.el6_3.i686
qpid-qmf-devel-0.18-12.el6_3.i686
qpid-tests-0.18-2.el6.noarch
qpid-tools-0.18-7.el6_3.noarch
rh-qpid-cpp-tests-0.18-12.el6_3.i686
ruby-qpid-qmf-0.18-12.el6_3.i686

-> ON_QA -> VERIFIED

Note You need to log in before you can comment on or make changes to this bug.